=== debian/changelog ===
cctools (1:7.13.1-3) unstable; urgency=medium

  * Update sys_openat.patch to work on armel, armhf. Closes: #1088887
  * Add patch for 64-bit time typefix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2024 06:59:00 +0000

cctools (1:7.13.1-2) unstable; urgency=medium

  * Update sys_openat.patch to work on armel, armhf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2024 18:58:55 +0000

cctools (1:7.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop old patches:
    - ccflags.patch
    - disable_doxygen
  * Patches:
    - cgi.patch. Closes: #1084664
    - shebang.patch for python3 paths
  * Change epoch to 1; 9.9 was an upstream error for 7.9.9 release
  * Fix broken vcs url
  * S-V: 4.7.0; no changes required
  * B-D on pkgconf not pkg-config
  * Drop B-D on libncurses5-dev
  * Ignore lintian soversion complaint on plugins

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Nov 2024 15:01:49 +0000

cctools (9.9-4) unstable; urgency=medium

  * Fix to build to correct globus configuration, enable broken
    non-default python build. Closes: #1057409, #1057400

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Dec 2023 10:26:18 +0000

cctools (9.9-3) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Reproducible build: fix configure. Closes: #1025415
  * Build ok twice in a row. Closes: #1043670

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Aug 2023 12:38:54 +0100

cctools (9.9-2) unstable; urgency=medium

  * Don't try to build with golang support on arches where its not present

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Sep 2021 19:45:43 +0100

cctools (9.9-1) unstable; urgency=medium

  * New upstream release
  * Ensure .gitignore files are not shipped in packages
  * Add golang support
  * Standards-Version: 4.6.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Aug 2021 13:38:58 +0100
