## cctools 7.14.5

=== Makefile ===
--- 
+++ 
@@ -61,6 +61,9 @@
 	@$(MAKE) -C $(@:format-%=%) format
 format: $(FORMAT_PACKAGES)
 
+doc_serve:
+	mkdocs serve -f doc/mkdocs.yml
+
 rpm:
 	./packaging/rpm/rpm_creator.sh $(RPM_VERSION) $(RPM_RELEASE)
