=== resource_monitor/src/Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 
 PROGRAMS = resource_monitor piggybacker rmonitor_poll_example rmonitor_snapshot
 
-ifeq ($(CCTOOLS_OPSYS),DARWIN)
+ifeq ($(CCTOOLS_LINUX_NATIVE_X86_64),yes)
+	TARGETS = $(LIBRARIES) $(PROGRAMS)
+else
 	TARGETS =
 	PROGRAMS =
-else
-	TARGETS = $(LIBRARIES) $(PROGRAMS)
 endif
 
 all: $(TARGETS) bindings
@@ -69,13 +69,13 @@
 	$(MAKE) -C bindings clean
 
 install: all
-ifeq ($(CCTOOLS_OPSYS),DARWIN)
-	$(MAKE) -C bindings install
-else
+ifeq ($(CCTOOLS_LINUX_NATIVE_X86_64),yes)
 	mkdir -p $(CCTOOLS_INSTALL_DIR)/bin
 	cp $(PROGRAMS) $(CCTOOLS_INSTALL_DIR)/bin/
 	mkdir -p $(CCTOOLS_INSTALL_DIR)/lib
 	cp $(LIBRARIES) $(CCTOOLS_INSTALL_DIR)/lib/
+	$(MAKE) -C bindings install
+else
 	$(MAKE) -C bindings install
 endif
