=== debian/changelog ===
cctools (1:7.14.5-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:58:33 +0000

cctools (1:7.14.5-1) unstable; urgency=medium

  * New upstream release
  * Now build-dep on libfuse3-dev
  * Drop kfreebsd, ia64

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Feb 2025 14:56:38 +0000
