=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PY3:=$(shell py3versions -d)
 CF:=$(shell dpkg-buildflags --get CFLAGS) 
 
-ARCH_NOGOLANG:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 sh4 ia64 alpha hppa m68k powerpc ppc64 x32
+ARCH_NOGOLANG:= hurd-i386 sh4 alpha hppa m68k powerpc ppc64 x32
 GOLANG:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_NOGOLANG)),,--with-golang-path=/usr)
 
 override_dh_auto_configure:
