=== debian/changelog ===
cctools (1:7.15.9-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright; thanks lintian
  * Standards-Version: 4.7.2
  * Patch for reproducible builds thanks to Chris Lamb. Closes: #1108281
  * Drop obsolete bug. Closes: #1084461

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Oct 2025 13:41:18 +0100
