=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
   python3-examples,
   libglobus-common-dev,
   default-libmysqlclient-dev,
-  libfuse-dev,
+  libfuse3-dev,
   libext2fs-dev,
   libossp-uuid-dev,
   libperl-dev,
   libkrb5-dev,
   libsqlite3-dev,
   pkgconf,
-  golang-go [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !sh4 !ia64 !alpha !hppa !m68k !powerpc !ppc64 !x32],
+  golang-go [!hurd-i386 !sh4 !alpha !hppa !m68k !powerpc !ppc64 !x32],
   libglobus-gss-assist-dev, net-tools, doxygen,
   libreadline6-dev | libreadline-dev | libeditreadline-dev, 
   libncurses-dev, 
@@ -23,7 +23,7 @@
   swig,
   m4, 
   mpi-default-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://ccl.cse.nd.edu/software/
 Vcs-Browser: https://salsa.debian.org/neurodebian-team/cctools.git
 Vcs-Git: https://salsa.debian.org/neurodebian-team/cctools.git -b debian/latest
