=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,10 @@
 	for v in vine_example_gutenberg vine_example_blast vine_example_poncho vine_example_mosaic vine_example_watch ; do \
 		rm  debian/tmp/doc/cctools/examples/taskvine/C/$$v ; done
 	find debian/tmp/ -type f -size 0 -delete 
+	# fix nondeterminstic lines
+	sed -i '/^# Generated at.*/d' ./debian/tmp/etc/cctools/config.mk
+	sed -i -e 's@$(CURDIR)@/usr/share/cctools@g' ./debian/tmp/etc/cctools/config.mk
+ 
 
 
 override_dh_auto_clean:
